Mail archive
alpine-aports

[alpine-aports] [PATCH 13/15] testing/perl-par: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sat, 12 Dec 2015 12:25:24 +0000

---
 testing/perl-par/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/perl-par/APKBUILD
diff --git a/testing/perl-par/APKBUILD b/testing/perl-par/APKBUILD
new file mode 100644
index 0000000..1c933eb
--- /dev/null
+++ b/testing/perl-par/APKBUILD
_at_@ -0,0 +1,34 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=perl-par
+pkgver=1.010
+_realname=PAR-$pkgver
+pkgrel=0
+pkgdesc="PAR - Perl Archive Toolkit"
+url="http://search.cpan.org/dist/File-Copy-Recursive/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RS/RSCHUPP/$_realname.tar.gz"
+
+_builddir="$srcdir"/$_realname
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="145d68a1f0de0f893e957c7619cc2707  PAR-1.010.tar.gz"
+sha256sums="78af355e757a55bfec0db4a02d62c402c5c56b31e8d317f70a31fc963b2e7e51  PAR-1.010.tar.gz"
+sha512sums="57e2c39927402c353ee356ae9b91b4233614afa9dca61c3c2effbe2db8b6c653949cc424b637d12dc89668ddf7f49a38d2e6610521410e613e061c0f980b304d  PAR-1.010.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Dec 12 2015 - 12:25:24 GMT